Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.myoperator
Class GreaterEquOp

    java.lang.Object
      mycompiler.myoperator.Operator
          mycompiler.myoperator.RelOp
              mycompiler.myoperator.GreaterEquOp

    public class GreaterEquOp

extends RelOp

Constructor Summary
`GreaterEquOp()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, Expr expr, boolean not, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` | `if_codegen(ClassFile classfile, CodeAttribute code, java.lang.String type, boolean not)`

Methods inherited from class mycompiler.myoperator.RelOp
`TRExp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreaterEquOp

    public GreaterEquOp()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        Expr expr,
                        boolean not,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Operator`
  Throws:
    `JVMCodeException`

### if_codegen

    public void if_codegen(ClassFile classfile,
                           CodeAttribute code,
                           java.lang.String type,
                           boolean not)
                    throws JVMCodeException

  Specified by:
    `if_codegen` in class `RelOp`
  Throws:
    `JVMCodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD